REST API reference¶
All endpoints use the base URL https://api.jumpdesktop.com and a bearer token: Authorization: Bearer <token>.
See Get started with the REST API for tokens, IDs, and code samples.
Download the OpenAPI specification (JSON) · Interactive reference
This page is generated from the published specification. Where the specification and the service differ, a warning notes it.
Endpoints¶
| Method | Path | Summary |
|---|---|---|
GET |
/v1/user/teams |
Get teams the user is part of |
GET |
/v1/team/{teamID} |
Get information about a team. |
PATCH |
/v1/team/{teamID}/device/members |
Add remote access users to a computer |
PATCH |
/v1/team/{teamID}/device/members/delete |
Remove remote access users from computers |
GET |
/v1/team/{teamID}/device/{deviceID} |
Get information about a computer |
DELETE |
/v1/team/{teamID}/device/{deviceID} |
Remove a computer from the team |
PATCH |
/v1/team/{teamID}/device/{deviceID} |
Change computer information |
GET |
/v1/team/{teamID}/device/{deviceID}/annotations |
Get annotations for a computer |
POST |
/v1/team/{teamID}/device/{deviceID}/annotations |
Add or update annotations for a computer |
POST |
/v1/team/{teamID}/device/{deviceID}/annotations/delete |
Remove annotations for a computer |
PUT |
/v1/team/{teamID}/device/{deviceID}/members |
Sets remote access users and groups for a computer |
POST |
/v1/team/{teamID}/device/{deviceID}/members |
Add remote access users to a computer |
POST |
/v1/team/{teamID}/device/{deviceID}/members/delete |
Remove remote access users from computer |
GET |
/v1/team/{teamID}/device/{deviceID}/urls |
Get URLs used to launch connections to a computer |
GET |
/v1/team/{teamID}/devices |
Get information about computers on a team |
POST |
/v1/team/{teamID}/invite/device |
Create a new Jump Desktop Connect installer |
DELETE |
/v1/team/{teamID}/invite/device/{inviteID} |
Delete a Jump Desktop Connect installer |
POST |
/v1/team/{teamID}/invite/user |
Invite users |
DELETE |
/v1/team/{teamID}/invite/user/{secret} |
Delete a user invite |
DELETE |
/v1/team/{teamID}/user/{userID} |
Remove a user |
PATCH |
/v1/team/{teamID}/user/{userID} |
Modify a user |
GET |
/v1/team/{teamID}/user/{userID}/annotations |
Get annotations for a user on the team |
POST |
/v1/team/{teamID}/user/{userID}/annotations |
Add or update annotations for a user on the team |
POST |
/v1/team/{teamID}/user/{userID}/annotations/delete |
Remove annotations for a user on the team |
POST |
/v1/team/{teamID}/user/{userID}/removetotp |
Send request to user to disable 2FA from the user's account |
GET |
/v1/team/{teamID}/users |
Get information about users on a team |
POST |
/v1/team/{teamID}/users/{userID} |
Add user to team as long as they are using the same SSO |
GET |
/v1/team/{teamid}/user/{userid}/info |
Get user authentication information |
POST |
/v1/team/{teamID}/group |
Create a new access group |
PATCH |
/v1/team/{teamID}/group/members |
Add users or computers to a list of access groups |
PATCH |
/v1/team/{teamID}/group/members/remove |
Remove users or computers to a list of access groups |
DELETE |
/v1/team/{teamID}/group/{groupID} |
Delete an access group |
PATCH |
/v1/team/{teamID}/group/{groupID} |
Change information for an access group |
GET |
/v1/team/{teamID}/group/{groupID}/annotations |
Get annotations for an access group |
POST |
/v1/team/{teamID}/group/{groupID}/annotations |
Add or update annotations for an access group |
POST |
/v1/team/{teamID}/group/{groupID}/annotations/delete |
Remove annotations for an access group |
POST |
/v1/team/{teamID}/group/{groupID}/members |
Add users or computers to an access group |
POST |
/v1/team/{teamID}/group/{groupID}/members/delete |
Remove users or computers from an access group |
GET |
/v1/team/{teamid}/saml/users |
List users using team SSO |
GET |
/v1/team/{teamID}/device/{deviceID}/history |
Get computer connection history |
GET |
/v1/team/{teamID}/history |
Get a team's activity history |
GET |
/v1/team/{teamID}/history/devices |
Get computer connection history for the team |
GET |
/v1/team/{teamid}/billing/events |
Get team billing ledger |
User Information¶
Get teams the user is part of¶
GET /v1/user/teams
Gets all the team ids the user is part of.
Response 200: array of string
Team Information¶
Get information about a team.¶
GET /v1/team/{teamID}
Get team information. Non team admins will see a limited view of team information.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Response 200: TeamInfo
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
avatarURL |
string | No | A public link to the team's Avatar URL |
billing |
object | No | Team billing information |
createdAt |
object | No | The unixTimeStamp in milliseconds for teams created at |
deleteSchedule |
object | No | DeleteSchedule deletion schedule of the team |
deviceConfigs |
array of TeamDeviceConfig | No | List of all the Connect Configurations for this team |
deviceInvites |
array of TeamDeviceInstallerInfo | No | List of all the team installers created for this team |
devices |
object | No | A map of all the computers on this team and information about each computer |
groups |
object | No | A map of all the access groups on this team and information about each access group |
id |
string (TeamID) | No | This team's unique ID |
name |
string | No | The team's name as shown in the web dashboard |
planFeatures |
object | No | Plan features this team has subscribed to |
saml |
object | No | SAML SSO information for this team if SSO is enabled |
security |
object | No | Security configuration for this team |
userDeviceMigrate |
array of TeamUserDeviceMigrate | No | List of all computer migrations for this team |
userInvites |
array of TeamUserInvite | No | List of all pending user invites for this team |
users |
object | No | A map of all the users on this team and information about each user |
Team Computers¶
Add remote access users to a computer¶
PATCH /v1/team/{teamID}/device/members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Request body: TeamDeviceMembersBulkAddRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
groups |
array of string | No | |
users |
array of string | No |
Response 200: TeamGroupMembersBulkAddResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
errors |
array of TeamGroupMemberBulkError | No | |
users |
array of string | No |
Remove remote access users from computers¶
PATCH /v1/team/{teamID}/device/members/delete
Add remote access users to a computer
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Request body: TeamDeviceMembersBulkRemoveRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
groups |
array of string | No | |
users |
array of string | No |
Response 200: TeamGroupMembersBulkRemoveResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
errors |
array of TeamGroupMemberBulkError | No | |
users |
array of string | No |
Get information about a computer¶
GET /v1/team/{teamID}/device/{deviceID}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Response 200: TeamDeviceInfo
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No | Annotations for this computer |
clientInfo |
object | No | Extra information about the computer |
groups |
string (GroupID) | No | List of group ids which have direct remote access to this machine. |
id |
string (DeviceID) | No | The unique device id for this computer |
lastOnlineAt |
integer (UnixTimestamp) | No | The last time we saw the machine online. This value is only updated when the machine connects or reconnects to the cloud. If the machine is currently only, this value will represent the last time the machine successfully connected |
name |
string | No | The name of the computer as shown in the web and client apps |
users |
array of string (UserID) | No | List of user ids who have direct remote access to this machine. To get the comprehensive list of users who have access be sure to check which access groups the machine is also part of |
Remove a computer from the team¶
DELETE /v1/team/{teamID}/device/{deviceID}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Response 200: OK
Change computer information¶
PATCH /v1/team/{teamID}/device/{deviceID}
Changes computer details
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Request body: TeamDevicePatchRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | No |
Response 200: TeamDevicePatchResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id |
string | No | |
name |
string | No |
Get annotations for a computer¶
GET /v1/team/{teamID}/device/{deviceID}/annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Response 200: TeamAnnotationsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Add or update annotations for a computer¶
POST /v1/team/{teamID}/device/{deviceID}/annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Request body: TeamSetAnnotationsRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Response 201: TeamAnnotationsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Remove annotations for a computer¶
POST /v1/team/{teamID}/device/{deviceID}/annotations/delete
Remove annotations for a computer.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Request body: TeamDeleteAnnotationsRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
annotationKeys |
array of string | No |
Response 200: OK
Sets remote access users and groups for a computer¶
PUT /v1/team/{teamID}/device/{deviceID}/members
Sets remote access users and groups for a computer. This API will overwrite any groups and users that have remote access to the machine and replace it with the list or users and groups provided.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Request body: TeamDeviceMembersSetRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
groups |
array of string | No | |
users |
array of string | No |
Response 201: Created
Add remote access users to a computer¶
POST /v1/team/{teamID}/device/{deviceID}/members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Request body: TeamDeviceMembersAddRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
groups |
array of string | No | |
users |
array of string | No |
Response 201: Created
Remove remote access users from computer¶
POST /v1/team/{teamID}/device/{deviceID}/members/delete
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Request body: TeamDeviceMembersRemoveRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
groups |
array of string | No | |
users |
array of string | No |
Response 201: Created
Get URLs used to launch connections to a computer¶
GET /v1/team/{teamID}/device/{deviceID}/urls
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
Response 200: TeamDeviceURLs
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
askScreenShare |
string (url) | No | URL to start a 'screen share' request to this computer where the current console user will be asked for permission to share their screen. Only works when a native client is installed on the user's machine |
connect |
string (url) | No | URL to start an unattended connection to this computer (user will be asked for local credentials). Only works when a native client is installed on the user's machine |
dashboard |
string (url) | No | URL to open up the device's web dashboard page |
Get information about computers on a team¶
GET /v1/team/{teamID}/devices
Gets information about computers on a team. Use query parameters to filter results.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
name |
query | string | No | Optional. Filter results by computers named 'name'. Use asterisks for a wildcard search: Eg: name* or name |
Response 200: TeamGetDevicesResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of TeamDeviceInfo | No | Devices returned by the search. This will be an empty array if no computers are found |
Create a new Jump Desktop Connect installer¶
POST /v1/team/{teamID}/invite/device
Create a new Jump Desktop Connect installer for the team which can be used to add computers to the team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Request body: TeamDeviceInviteAddRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
expirySecs |
integer | No | |
groups |
array of string | No | |
name |
string | No | |
requireAuthentication |
boolean | No | |
singleUse |
boolean | No | |
users |
array of string | No |
Response 201: TeamDeviceInstallerInfo
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
connectDownloads |
object | No | Public download urls for preconfigured Jump Desktop Connect installers |
createdAt |
integer | No | The time the installer was created |
deviceConfigID |
object | No | The Connect configuration ID to automatically apply to a computer configured using this installer |
expiresAt |
integer | No | The time this installer will automatically expire |
groups |
array of string (GroupID) | No | List of group ids that the computer will automatically be added to when this installer is used to configure Jump Desktop Connect |
id |
string | No | The unique installer id |
name |
string | No | The name of the installer as shown in the web dashboard |
requireAuthentication |
boolean | No | Public requires user authentication for the secret to work |
secret |
string | No | The secret or 'Connect Code' for this device installer. |
users |
array of string (UserID) | No | List of users ids that will automatically have access to a computer configured using this installer |
Delete a Jump Desktop Connect installer¶
DELETE /v1/team/{teamID}/invite/device/{inviteID}
Deletes a Jump Desktop installer for the team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
inviteID |
path | string | Yes | Device Invite ID |
Response 201: Created
Team Users¶
Invite users¶
POST /v1/team/{teamID}/invite/user
Create user invites for the team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Request body: TeamAddUserInviteRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | List of computer ids the user will automatically have access to once they accept the invite. Empty by default. |
groups |
array of string | No | List of access group ids the user will automatically be added to once they accept the invite. Empty by default. |
name |
string | No | The name of the user invite as shown on the web dashboard |
sendTo |
string | No | The email address to send the invite to. This can be empty if creating a public invite link |
singleUse |
boolean | No | True if this invite is a single use invite. This should be set to true when sending out invites via email |
Response 201: TeamUserInvite
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
createdAt |
integer (UnixTimestamp) | No | The time the invite was created at |
devices |
array of string | No | Computer IDs that user will automatically get remote access to when they accept the invite |
expiresAt |
integer (UnixTimestamp) | No | The time the invite will expire |
groups |
array of string | No | Access Group IDs that the user will be automatically added to when they accept the invite |
name |
string | No | Name of the invite as shown in the web dashboard |
secret |
string | No | The secret key used to accept the invite. This should only be shared with users who will be using the invite |
sentTo |
string | No | The email the invite was sent to. Can be empty if this is a public invite |
singleUse |
boolean | No | True if this invite will automatically expire after first use |
Delete a user invite¶
DELETE /v1/team/{teamID}/invite/user/{secret}
Deletes a prior invitation sent to a user on the team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
secret |
path | string | Yes | The invite secret |
Response 201: Created
Remove a user¶
DELETE /v1/team/{teamID}/user/{userID}
Remove a user from the team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
userID |
path | string | Yes | UserID |
Response 200: OK
Modify a user¶
PATCH /v1/team/{teamID}/user/{userID}
Modify a team user
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
userID |
path | string | Yes | UserID |
Request body: TeamUserPatchRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
remoteAccess |
string (enabled, disabled) | No | |
role |
string (admin, user) | No |
Response 201: TeamUserInfo
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No | Annotations for this user |
authProviders |
array of string | No | |
avatarURL |
string | No | |
email |
string | No | |
firstName |
string | No | |
id |
string | No | |
joinedOn |
ApiTeamUserInfoCreatedAt | No | |
lastName |
string | No | |
lastUsedAt |
integer | No | |
remoteAccess |
string (enabled, disabled) | No | Whether the user's remote access is enabled or disabled |
role |
string (admin, user) | No | The user's role on the team |
scimUserInfo |
ApiScimUserInfo | No | |
totpEnabled |
boolean | No | |
userDeviceMigrate |
TeamUserDeviceMigrate | No |
Get annotations for a user on the team¶
GET /v1/team/{teamID}/user/{userID}/annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
userID |
path | string | Yes | UserID |
Response 200: TeamAnnotationsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Add or update annotations for a user on the team¶
POST /v1/team/{teamID}/user/{userID}/annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
userID |
path | string | Yes | UserID |
Request body: TeamSetAnnotationsRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Response 201: TeamAnnotationsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Remove annotations for a user on the team¶
POST /v1/team/{teamID}/user/{userID}/annotations/delete
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
userID |
path | string | Yes | UserID |
Request body: TeamDeleteAnnotationsRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
annotationKeys |
array of string | No |
Response 201: TeamAnnotationsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Send request to user to disable 2FA from the user's account¶
POST /v1/team/{teamID}/user/{userID}/removetotp
Sends email to user with a link to disable 2FA from the user's account. The user needs to clicks on the link to disable 2FA. Link is valid for 24 hours only
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
userID |
path | string | Yes | UserID |
Response 200: OK
Get information about users on a team¶
GET /v1/team/{teamID}/users
Gets information about users on a team. Use optional query parameters to filter results.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
email |
query | string | No | Optional. Search email address |
Response 200: TeamGetUsersResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
users |
array of TeamUserInfo | No | Users returned by the search query. This will be an empty array if no users are found |
Add user to team as long as they are using the same SSO¶
POST /v1/team/{teamID}/users/{userID}
Add user to team without triggering a confirmation email as long as the user is using the same SSO as the SSO team admin
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
userID |
path | string | Yes | UserID |
Response 200: APIUserInfo
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
avatarURL |
string | No | |
email |
string | No | |
firstName |
string | No | |
id |
string | No | |
lastName |
string | No | |
scimUserInfo |
ApiScimUserInfo | No | |
userDeviceMigrate |
TeamUserDeviceMigrate | No |
Get user authentication information¶
GET /v1/team/{teamid}/user/{userid}/info
Retrieves authentication-related information for a specific user within a team, such as their TOTP status, authentication providers, and token history. This endpoint does not return detailed user profile data.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamid |
path | string | Yes | Team ID |
userid |
path | string | Yes | User ID |
Response 200: ApiUserAuthInfo
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
authProviders |
array of ApiUserAuthProviderResponse | No | AuthProviders is a list of the user's authentication providers. |
tokenLog |
array of ApiTokenLogResponse | No | TokenLog is a log of the user's authentication tokens. |
totp |
object | No | TOTP (Time-based One-Time Password) information for the user. |
Team Access Groups¶
Create a new access group¶
POST /v1/team/{teamID}/group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Request body: TeamGroupAddRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | Yes |
Response 201: TeamGroupInfo
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No | Annotations for this access group |
devices |
array of string (DeviceID) | No | List of computers in this access group |
id |
string (GroupID) | No | The unique id for this access group |
name |
string | No | The name of the access group |
scimManaged |
boolean | No | ScimManaged this team group was created by scim |
users |
array of string (UserID) | No | List of users in this access group |
Add users or computers to a list of access groups¶
PATCH /v1/team/{teamID}/group/members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Request body: TeamGroupMembersBulkAddRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
groups |
array of string | No | |
users |
array of string | No |
Response 200: TeamGroupMembersBulkAddResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
errors |
array of TeamGroupMemberBulkError | No | |
users |
array of string | No |
Remove users or computers to a list of access groups¶
PATCH /v1/team/{teamID}/group/members/remove
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
Request body: TeamGroupMembersBulkRemoveRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
groups |
array of string | No | |
users |
array of string | No |
Response 200: TeamGroupMembersBulkRemoveResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
errors |
array of TeamGroupMemberBulkError | No | |
users |
array of string | No |
Delete an access group¶
DELETE /v1/team/{teamID}/group/{groupID}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
groupID |
path | string | Yes | GroupID |
Response 200: OK
Change information for an access group¶
PATCH /v1/team/{teamID}/group/{groupID}
Changes access group information, such as it's name
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
groupID |
path | string | Yes | GroupID |
Request body: TeamGroupPatchRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | No |
Response 200: TeamGroupPatchResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
id |
string | No | |
name |
string | No |
Get annotations for an access group¶
GET /v1/team/{teamID}/group/{groupID}/annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
groupID |
path | string | Yes | GroupID |
Response 200: TeamAnnotationsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Add or update annotations for an access group¶
POST /v1/team/{teamID}/group/{groupID}/annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
groupID |
path | string | Yes | GroupID |
Request body: TeamSetAnnotationsRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Response 201: TeamAnnotationsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
annotations |
array of TeamAnnotation | No |
Remove annotations for an access group¶
POST /v1/team/{teamID}/group/{groupID}/annotations/delete
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
groupID |
path | string | Yes | GroupID |
Request body: TeamDeleteAnnotationsRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
annotationKeys |
array of string | No |
Response 200: OK
Add users or computers to an access group¶
POST /v1/team/{teamID}/group/{groupID}/members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
groupID |
path | string | Yes | GroupID |
Request body: TeamGroupMembersAddRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | |
users |
array of string | No |
Response 201: Created
Remove users or computers from an access group¶
POST /v1/team/{teamID}/group/{groupID}/members/delete
Remove users or computers to an access group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
groupID |
path | string | Yes | GroupID |
Request body: TeamGroupMembersRemoveRequest
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
devices |
array of string | No | List of computer ids to remove from the group |
users |
array of string | No | List of user ids to remove from the group |
Response 201: Created
SAML Users¶
List users using team SSO¶
GET /v1/team/{teamid}/saml/users
Get a list of users that use the SSO config of this team to sign in.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamid |
path | string | Yes | TeamID |
Response 200: array of APIUserInfo
Item fields
| Field | Type | Required | Description |
|---|---|---|---|
avatarURL |
string | No | |
email |
string | No | |
firstName |
string | No | |
id |
string | No | |
lastName |
string | No | |
scimUserInfo |
ApiScimUserInfo | No | |
userDeviceMigrate |
TeamUserDeviceMigrate | No |
Team Logs¶
Get computer connection history¶
GET /v1/team/{teamID}/device/{deviceID}/history
This API is deprecated. Use /team/{teamID}/history/devices instead.
Gets computer connection history for this device. Returns an empty result if there are no more events for the computer.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
deviceID |
path | string | Yes | DeviceID |
desc |
query | boolean | No | Set this to true to return events in descending order by time (i.e. latest events first) |
limit |
query | integer | No | Limit the number events returned by the api |
offset |
query | integer | No | Event offset when returning events |
startTime |
query | integer (UnixTimestamp) | No | Starting time stamp for the query in seconds since unix epoch |
stopTime |
query | integer (UnixTimestamp) | No | Stop time stamp for the query in seconds since unix epoch |
Response 200: TeamDeviceHistoryResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
events |
array of ConnectEventDeprecated | No |
Get a team's activity history¶
GET /v1/team/{teamID}/history
Get a team's activity history. Returns an empty result if there are no more events left.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
desc |
query | boolean | No | Set this to false to return events in ascending order by time (i.e. oldest events first) |
limit |
query | integer | No | Maximum number events to return |
offset |
query | integer | No | Events offset index |
startTime |
query | integer (UnixTimestamp) | No | The timestamp (in seconds since unix epoch) from where the query starts, including itself. |
stopTime |
query | integer (UnixTimestamp) | No | The timestamp (in seconds since unix epoch) where the query ends, including itself. |
Response 200: TeamHistoryEventsResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
events |
array of TeamHistoryEventEntry | No | |
hasMoreEvents |
boolean | No | Indicates whether additional events are available beyond the current result set |
nextOffset |
integer | No | The offset value to use in the next request to retrieve subsequent events |
Get computer connection history for the team¶
GET /v1/team/{teamID}/history/devices
Gets computer connection history for the team. Use query parameters to search and limit results. Returns an empty result if no events are found.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamID |
path | string | Yes | TeamID |
desc |
query | boolean | No | Set this to true to return events in descending order by time (i.e. latest events first) |
ids |
query | array of string | No | Set this to limit connection history to specific device / computer ids. Leave this empty for all computers for the team |
limit |
query | integer | No | Limit the number events returned by the api |
offset |
query | integer | No | Event offset when returning events |
startTime |
query | integer (UnixTimestamp) | No | Starting time stamp for the query in seconds since unix epoch |
stopTime |
query | integer (UnixTimestamp) | No | Stop time stamp for the query in seconds since unix epoch |
Response 200: TeamDeviceEventsGetHistoryResponse
Response fields
| Field | Type | Required | Description |
|---|---|---|---|
deviceEvents |
array of ConnectEvent | No | |
hasMoreEvents |
boolean | No | Indicates whether additional events are available beyond the current result set |
nextOffset |
integer | No | The offset value to use in the next request to retrieve subsequent events |
Teams Billing¶
Get team billing ledger¶
GET /v1/team/{teamid}/billing/events
Warning
The published OpenAPI specification lists this endpoint as /teams/{teamid}/billing/events and its response as an array. The working path is /v1/team/{teamid}/billing/events, and the response is an object with an events array. See Read activity, connection history, and billing events.
Get all team events that affect the billable amount within a time range
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamid |
path | string | Yes | Team ID |
Response 200: array of TeamBillingLedgerResponse
Item fields
| Field | Type | Required | Description |
|---|---|---|---|
events |
array of TeamBillingLedgerEntry | No |